Name:           rpcsvc-proto
Version:        1.4.3
Release:        1
License:        BSD and LGPLv2+
Summary:        rpcsvc protocol definitions from glibc
URL:            https://github.com/thkukuk/rpcsvc-proto
Source0:        https://github.com/thkukuk/rpcsvc-proto/releases/download/v%{version}/rpcsvc-proto-%{version}.tar.xz
Conflicts:      glibc-headers < 2.26.9000-36 glibc-common < 2.26.9000-36
BuildRequires:  automake autoconf
BuildRequires:  gcc

%description
This package contains rpcsvc proto.x files from glibc, which are
missing in libtirpc. Additional it contains rpcgen, which is needed
to create header files and sources from protocol files.
This package is only needed, if glibc is installed without the
deprecated sunrpc functionality and libtirpc should replace it.

%package        devel
Summary:        rpcsvc protocol definitions from glibc

%description    devel
This package contains rpcsvc proto.x files from glibc, which are
missing in libtirpc. Additional it contains rpcgen, which is needed
to create header files and sources from protocol files.
This package is only needed, if glibc is installed without the
deprecated sunrpc functionality and libtirpc should replace it.

%package -n     rpcgen
Summary:        RPC protocol code generation tool
Provides:       rpcgen

%description -n rpcgen
rpcgen can automatically generate most of the code of the RPC server
program. Its input is a specification file and its output is a C
language source program.

%package        help
Summary:        Help document for the rpcsvc-proto package
Buildarch:      noarch

%description    help
Help document for the rpcsvc-proto package.

%prep
%autosetup -n rpcsvc-proto-%{version} -p1
%build
%configure
%make_build
%install
%make_install

%files devel
%doc COPYING
%{_includedir}/rpcsvc/
%exclude %{_includedir}/rpcsvc/rquota.[hx]

%files -n rpcgen
%{_bindir}/rpcgen

%files help
%{_mandir}/man1/rpcgen.1*

%changelog
* Thu Aug 04 2022 tianlijing <tianlijing@kylinos.cn> - 1.4.3-1
- update to 1.4.3

* Tue Jun 8 2021 liuyumeng <liuyumeng5@huawei.com> - 1.4.2-2
- Add a BuildRequires for gcc

* Mon Jul 27 2020 wuchaochao <wuchaochao4@huawei.com> - 1.4.2-1
- update package version from 1.4 to 1.4.2

* Web Nov 27 2019 Ling Yang <lingyang2@huawei.com> - 1.4-2
- Package init
